Albaranes
El albarán documenta la entrega física de material o servicio en obra. Puede luego conciliarse con una o varias facturas.
El objeto albarán
json
{
"id": "alb_R8nQ7tPm",
"project_id": "prj_8GcyLwT4mPq",
"provider_id": "prov_4kqRpBn",
"delivery_note_number": "ALB-2026-512",
"delivery_date": "2026-05-10",
"subtotal_amount": 19400,
"line_items": [
{
"id": "albli_88e1",
"description": "Cemento Portland CEM II/A-L 42,5 R — sacos 25 kg",
"quantity": 40,
"unit": "ud",
"unit_price": 485,
"subtotal": 19400,
"budget_item_id": null
}
],
"invoice_ids": [],
"reconciliation_status": "unmatched",
"created_at": "2026-05-10T14:02:11.000Z"
}Listar albaranes
GET/v1/delivery-notes
Query parameters
| Parámetro | Tipo | Descripción |
|---|---|---|
| project_id | string | Filtra por proyecto. |
| provider_id | string | Filtra por proveedor. |
| reconciliation_status | string | unmatched · partial · matched |
| from | date | Fecha mínima sobre delivery_date. |
| to | date | Fecha máxima sobre delivery_date. |
| cursor | string | Paginación. |
| limit | integer | Entre 1 y 100. Default 25. |
curl "https://api.buildnexion.com/v1/delivery-notes?project_id=prj_8GcyLwT4mPq" \
-H "Authorization: Bearer bn_live_xxxxxxxxxxxxxxxxxxxx"Obtener un albarán
GET/v1/delivery-notes/{id}
Crear un albarán
POST/v1/delivery-notes
Body
| Parámetro | Tipo | Descripción |
|---|---|---|
| project_id* | string | Proyecto al que se imputa. |
| provider_id* | string | Proveedor emisor. |
| delivery_note_number* | string | Nº de albarán del proveedor. |
| delivery_date* | date | Fecha de entrega. |
| line_items* | array | Una o más líneas con descripción, cantidad, unidad y precio. |
curl -X POST https://api.buildnexion.com/v1/delivery-notes \
-H "Authorization: Bearer bn_live_xxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"project_id": "prj_8GcyLwT4mPq",
"provider_id": "prov_4kqRpBn",
"delivery_note_number": "ALB-2026-512",
"delivery_date": "2026-05-10",
"line_items": [
{
"description": "Cemento Portland CEM II/A-L 42,5 R — sacos 25 kg",
"quantity": 40,
"unit": "ud",
"unit_price": 485,
"subtotal": 19400
}
]
}'Si la línea coincide con una partida del presupuesto del proyecto, BuildNexion sugiere automáticamente el
budget_item_id. También puedes pasarlo tú directamente en cada línea.Conciliar con factura
POST/v1/delivery-notes/{id}/match
Enlaza un albarán con una o varias facturas.
bash
curl -X POST https://api.buildnexion.com/v1/delivery-notes/alb_R8nQ7tPm/match \
-H "Authorization: Bearer bn_live_xxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{ "invoice_ids": ["inv_W3pNxL2YqAt"] }'Eliminar un albarán
DELETE/v1/delivery-notes/{id}
Borrado lógico (90 días recuperables).